Documents

Document Solution Delete

DELETE
/documents/solution/{documentSolutionGuid}/delete

Soft-deletes a document solution by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentSolutionGuid*string

GUID of the document solution to delete.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/documents/solution/d290f1ee-6c54-4b01-90e6-d701748f0851/delete"
{  "result": {    "data": {      "documentSolutionGuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",      "message": "DocumentSolution deleted successfully."    },    "statusCode": 200,    "message": "OK"  },  "origin": "DELETE https://api.doctavian.com/v1/documents/solution/{documentSolutionGuid}/delete",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "e5652175df4e7e3f0efbedf56e385915",  "userId": "f3408b96-9914-4aaa-973e-fc960e180106"}
{  "userId": "a7d12f8f-61af-4e8d-a311-c19e64d67108",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/solution/{documentSolutionGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "35ae0ba33f1e69ea43459f4b12709bd3"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/solution/{documentSolutionGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "158e327680d5599e7bc70f8666566d62",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/solution/{documentSolutionGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "44c48bb96997b85d10818dc3101814a1",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "b973a018-786a-461a-b9b1-ebbdb1a008e0",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/solution/{documentSolutionGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "fc3ad1fd3fef31fa14caaa716349ea4e"}